## indi-astromechfoc 0.2+20220128183230

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_astromechfoc C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(INDI_ASTROMECHFOC_VERSION_MAJOR 0)
set(INDI_ASTROMECHFOC_VERSION_MINOR 2)

find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_astromechfoc.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_astromechfoc.xml )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})

include(CMakeCommon)

########### Astromechanics Focuser ###########
set(indiastromechfoc_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/astromech_focuser.cpp
   )

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indiastromechfoc indiastromechfoc_SRCS 10 cpp)
ENDIF ()

add_executable(indi_astromechfoc ${indiastromechfoc_SRCS})

target_link_libraries(indi_astromechfoc ${INDI_DRIVER_LIBRARIES} pthread)

install(TARGETS indi_astromechfoc RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_astromechfoc.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-astromechfoc (0.2+20220128183230-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 18:56:29 +0000

indi-astromechfoc (0.2-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Dec 2021 18:05:56 +0100

indi-astromechfoc (0.2-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Dec 2021 18:05:56 +0000

=== debian/control ===
Source: indi-astromechfoc
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-astromechfoc
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-astromechfoc.git

Package: indi-astromechfoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Astromechanics Canon Lens Controller
 This package contains the INDI driver for the Canon Lens Controller
 made by Astromechanics.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-astromechfoc 0.2+20220610101747

=== debian/changelog ===
indi-astromechfoc (0.2+20220610101747-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 10:17:56 +0000

## indi-astromechfoc 0.2+20221223181816

=== debian/changelog ===
indi-astromechfoc (0.2+20221223181816-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113011)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:17:39 +0200

indi-astromechfoc (0.2+20221223181816-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.2

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 18:19:31 +0000
